%define name 	libavc1394
%define version 0.5.1
%define release 2mdk

%define major 	_0
%define libname %mklibname avc1394 %major
%define libnamedev %mklibname avc1394 %major -d

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        Control AV firewire devices
License: 	GPL
Group: 		System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
URL:            http://www.sourceforge.net/projects/libavc1394
#Patch0: libavc1394-0.4.1-libtool.patch.bz2

Buildroot: 	%{_tmppath}/%{name}-buildroot
Buildrequires: 	libraw1394-devel

%description
libavc1394 is a programming interface for the 1394 Trade 
Association AV/C (Audio/Video Control) Digital Interface 
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %{libname}
Summary: FireWire interface
Group: System/Libraries
Provides: libavc1394 = %version-%release

%description -n %{libname}
libavc1394 is a programming interface for the 1394 Trade 
Association AV/C (Audio/Video Control) Digital Interface 
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %{libname}-devel
Summary: FireWire interface
Group: Development/C
Provides: libavc1394-devel = %version-%release
Provides: libavc-devel = %version-%release
Requires: %libname = %{version}

%description -n %{libname}-devel
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %name-tools
Summary: FireWire interface
Group: Development/C
Requires: %libname = %{version}
Obsoletes: libavc1394_0-testools

%description -n %name-tools
Contains test tools for the libavc1394 library.

%prep
%setup -q
#%patch0 -p1 -b .libtool
#autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
cp test/.libs/romtest $RPM_BUILD_ROOT/%_bindir

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING AUTHORS
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(- ,root,root)
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %name-tools
%defattr(- ,root,root)
%_bindir/*
%_mandir/man1/*

%changelog
* Sun Jul 10 2005 Austin Acton <austin@mandriva.org> 0.5.1-2mdk
- give test package a saner name

* Sun Jul 10 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- 0.5.1
- configure 2.5
- drop patch (seems to be added upstream)
- drop weird obsoletes

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-8mdk
- libtool fixes

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-7mdk
- spec fixes
- fix deps

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-6mdk
- rename

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-5mdk
- rebuild

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-4mdk
- rebuild for new rpm

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- rebuild

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Mon Oct 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-1mdk
- new release

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-4mdk
- provides test/.libs/romtest

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-3mdk
- provides testing tools in a separate package (thx Grgoire Colbert)

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- add requires

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- new
